﻿// <copyright file="Hub.cs" company="Mek">
// DC Search by Mek (www.mekweb.eu), all rights reserved.
// </copyright>
// <author>Mek</author>

namespace DcLibrary
{
    using System.Globalization;

    /// <summary>
    /// Class representing information about a hub
    /// </summary>
    public class Hub
    {
        /// <summary>
        /// Gets or sets hub address
        /// </summary>
        public string Address { get; set; }

        /// <summary>
        /// Gets or sets hub port
        /// </summary>
        public ushort Port { get; set; }

        /// <summary>
        /// Gets or sets count of users on the hub
        /// </summary>
        public ushort UserCount { get; set; }

        /// <summary>
        /// Returns formatted hub information
        /// </summary>
        /// <returns></returns>
        public override string ToString()
        {
            return string.Format(
                CultureInfo.CurrentCulture,
                "{0}:{1} ({2} users)",
                this.Address,
                this.Port,
                this.UserCount);
        }
    }
}
