﻿// <copyright file="SearchFileType.cs" company="Mek">
// DC Search by Mek (www.mekweb.eu), all rights reserved.
// </copyright>
// <author>Mek</author>

namespace DcLibrary
{
    using System.ComponentModel;

    /// <summary>
    /// Denotes type of search results to search for
    /// </summary>
    [TypeConverter(typeof(EnumToStringTypeConverter))]
    public enum SearchFileType
    {
        /// <summary>
        /// Denotes all files/folders
        /// </summary>
        [Description("All")]
        All = 1,

        /// <summary>
        /// Denotes audio files
        /// </summary>
        [Description("Audio")]
        Audio = 2,

        /// <summary>
        /// Denotes video files
        /// </summary>
        [Description("Video")]
        Video = 7,

        /// <summary>
        /// Denotes pictures
        /// </summary>
        [Description("Picture")]
        Picture = 6,

        /// <summary>
        /// Denotes executable files
        /// </summary>
        [Description("Executable")]
        Executable = 5,

        /// <summary>
        /// Denotes documents
        /// </summary>
        [Description("Document")]
        Document = 4,

        /// <summary>
        /// Denotes compressed files
        /// </summary>
        [Description("Compressed")]
        Compressed = 3,

        /// <summary>
        /// Denotes folders
        /// </summary>
        [Description("Folder")]
        Folder = 8
    }
}
