﻿// <copyright file="SearchParameters.cs" company="Mek">
// DC Search by Mek (www.mekweb.eu), all rights reserved.
// </copyright>
// <author>Mek</author>

namespace DcLibrary
{
    /// <summary>
    /// Represents search parameters
    /// </summary>
    public class SearchParameters
    {
        /// <summary>
        /// Gets or sets text to search for
        /// </summary>
        public string Text { get; set; }

        /// <summary>
        /// Gets or sets result type to search for
        /// </summary>
        public SearchFileType FileType { get; set; }

        /// <summary>
        /// Gets or sets type of size constraint for results
        /// </summary>
        public SizeConstraintType SizeConstraintType { get; set; }

        /// <summary>
        /// Gets or sets size constraint for results in bytes
        /// </summary>
        public long Size { get; set; }

        /// <summary>
        /// Gets or sets a value indicating whether only users with free slots should return search results
        /// </summary>
        public bool FreeSlotsOnly { get; set; }
    }
}
