﻿// <copyright file="SizeConstraintType.cs" company="Mek">
// DC Search by Mek (www.mekweb.eu), all rights reserved.
// </copyright>
// <author>Mek</author>

namespace DcLibrary
{
    using System.ComponentModel;

    /// <summary>
    /// Denotes size constraint type for search operations
    /// </summary>
    [TypeConverter(typeof(EnumToStringTypeConverter))]
    public enum SizeConstraintType
    {
        /// <summary>
        /// Denotes no size constraint
        /// </summary>
        [Description("None")]
        None,

        /// <summary>
        /// Denotes "at least"
        /// </summary>
        [Description("At least")]
        AtLeast,

        /// <summary>
        /// Denotes "at most"
        /// </summary>
        [Description("At most")]
        AtMost
    }
}
