﻿// <copyright file="Common.cs" company="Mek">
// DC Search by Mek (www.mekweb.eu), all rights reserved.
// </copyright>
// <author>Mek</author>

namespace DcSearch
{
    /// <summary>
    /// Contains common helper methods
    /// </summary>
    public static class Common
    {
        /// <summary>
        /// Returns number of bytes represented by specified value in specified size unit
        /// </summary>
        /// <param name="value"></param>
        /// <param name="sizeUnit"></param>
        /// <returns></returns>
        public static long ToBytes(long value, SizeUnit sizeUnit)
        {
            long result = value;

            switch (sizeUnit)
            {
                case SizeUnit.KiB:
                    result = value * 1024;
                    break;

                case SizeUnit.MiB:
                    result = value * 1024 * 1024;
                    break;

                case SizeUnit.GiB:
                    result = value * 1024 * 1024 * 1024;
                    break;
            }

            return result;
        }
    }
}
