﻿// <copyright file="SizeUnit.cs" company="Mek">
// DC Search by Mek (www.mekweb.eu), all rights reserved.
// </copyright>
// <author>Mek</author>

namespace DcSearch
{
    using System.ComponentModel;
    using DcLibrary;

    /// <summary>
    /// Denotes file size unit
    /// </summary>
    [TypeConverter(typeof(EnumToStringTypeConverter))]
    public enum SizeUnit
    {
        /// <summary>
        /// Denotes Byte
        /// </summary>
        [Description("B")]
        B,

        /// <summary>
        /// Denotes Kibibyte
        /// </summary>
        [Description("KiB")]
        KiB,

        /// <summary>
        /// Denotes Mebibite
        /// </summary>
        [Description("MiB")]
        MiB,

        /// <summary>
        /// Denotes Gibibyte
        /// </summary>
        [Description("GiB")]
        GiB
    }
}
